Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::scene::SVertexColorSetAlphaManipulator Class Reference

Vertex manipulator to set the alpha value of the vertex color to a fixed value. More...

`#include <SVertexManipulator.h>`

Inheritance diagram for irr::scene::SVertexColorSetAlphaManipulator:

List of all members.

## Public Member Functions
void | operator() (video::S3DVertex &vertex) const
| SVertexColorSetAlphaManipulator (u32 alpha)

## Detailed Description

Vertex manipulator to set the alpha value of the vertex color to a fixed value.

Definition at line 39 of file SVertexManipulator.h.

## Constructor & Destructor Documentation

irr::scene::SVertexColorSetAlphaManipulator::SVertexColorSetAlphaManipulator | ( | u32 | alpha | ) | `[inline]`

Definition at line 42 of file SVertexManipulator.h.

## Member Function Documentation

void irr::scene::SVertexColorSetAlphaManipulator::operator() | ( | video::S3DVertex & | vertex | ) | const`[inline]`

Definition at line 43 of file SVertexManipulator.h.

References irr::video::S3DVertex::Color.

The documentation for this class was generated from the following file:

- SVertexManipulator.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:42:09 2010 by Doxygen (1.6.2)